Bug 206520 - mount hangs when nodir=1 not always used.
mount hangs when nodir=1 not always used.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 16:28 EDT by Nate Straz
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:13:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2006-09-14 16:28:29 EDT
Description of problem:

The mount command hangs when a node tries to mount a GFS file system without
using the "hostdata=nodir=1" option when the file system is already mounted
on other nodes using the "hostdata=nodir=1" option.

Version-Release number of selected component (if applicable):
kmod-gfs-0.1.1-8.2.6.17_1.2519.4.14.el5
cman-2.0.12-1.fc6

How reproducible:
100%

Steps to Reproduce:
1. mount file system with "hostdata=nodir=1" on one node
2. mount file system without above option on another node

  
Actual results:
I had the file system mounted on two nodes when I tried to mount the file system
on a third without the above option.  The mount hung.

Kernel messages:

-- morph-01 (mounted nodir=1)
dlm: morph-cluster0: recover 5
dlm: morph-cluster0: add member 3
dlm: morph-cluster0: config mismatch: 32,1 nodeid 3: 32,0
dlm: morph-cluster0: ping_members aborted -22 last nodeid 3
dlm: morph-cluster0: total members 3 error -22
dlm: morph-cluster0: recover_members failed -22
dlm: morph-cluster0: recover 5 error -22

-- morph-02 (mounted nodir=1)
dlm: morph-cluster0: recover 3
dlm: morph-cluster0: add member 3
dlm: morph-cluster0: config mismatch: 32,1 nodeid 3: 32,0
dlm: morph-cluster0: ping_members aborted -22 last nodeid 3
dlm: morph-cluster0: total members 3 error -22
dlm: morph-cluster0: recover_members failed -22
dlm: morph-cluster0: recover 3 error -22

-- morph-03 (attempted mount)
Trying to join cluster "lock_dlm", "morph-cluster:morph-cluster0"
dlm: morph-cluster0: recover 1
dlm: morph-cluster0: add member 2
dlm: morph-cluster0: add member 1
dlm: morph-cluster0: add member 3
dlm: morph-cluster0: config mismatch: 32,0 nodeid 1: 32,1
Joined cluster. Now mounting FS...
dlm: morph-cluster0: ping_members aborted -22 last nodeid 1
dlm: morph-cluster0: total members 3 error -22
dlm: morph-cluster0: recover_members failed -22
dlm: morph-cluster0: recover 1 error -22


Expected results:
mount command should fail with an error that the nodir=1 option is required.

Additional info:
Comment 1 RHEL Product and Program Management 2007-05-08 16:18:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 David Teigland 2007-05-31 10:51:22 EDT
patch posted to rhkernel
http://post-office.corp.redhat.com/archives/rhkernel-list/2007-May/msg00713.html
Comment 3 David Teigland 2007-06-08 15:19:48 EDT
patch reposted to rhkernel
http://post-office.corp.redhat.com/archives/rhkernel-list/2007-June/msg01066.html
Comment 4 Don Zickus 2007-06-12 14:45:30 EDT
in 2.6.18-24.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2007-11-07 14:13:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.